<!DOCTYPE HTML PUBLIC "-//W3C/DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<%@ page contentType="text/html; charset=ISO-8859-1" %>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f" %>
<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h" %>
<%@ taglib uri="http://java.sun.com/jstl/core" prefix="c" %>
<%@ taglib uri="http://www.esri.com/adf/web" prefix="a" %>
<%@ page language="java" import="java.util.Locale" %>

<f:view>
    <html>
        <head>
            <title>Simple ArcGIS Server Viewer</title>
            <link rel="stylesheet" href="css/esri_styles.css" type="text/css" media="screen"></link>
        </head>
        <body bgcolor="#FFFFFF" leftmargin="10" topmargin="10" marginwidth="5" marginheight="5" >        
            
            <h:form id="frmMap">
                <a:context value="#{mapContext}" />
                <script type="text/javascript" language="javascript" src="js/esri/dojo/dojo.js" djConfig="locale:'<%=Locale.getDefault().toString().replace('_', '-').toLowerCase()%>' "></script>
    		<script type="text/javascript">
      			adfdojo.require("adf.adf");
      			adfdojo.requireLocalization("resource","adf");
    		</script>              
                <table width="90" cellpadding="3" class="leftmnutables" align="center" border="1">                
	              		<tr><td>
		                <div id="Maptools" >
		                <a:toolbar id="Toolbar" mapId="Map0" activeTool="ZoomIn">
                                <a:tool id="ZoomIn" defaultImage="images/zoomin.gif" hoverImage="images/zoominU.gif"
                                selectedImage="images/zoominD.gif" clientAction="adf.MapRectangle"
                                serverAction="com.esri.adf.web.faces.event.ZoomInToolAction" clientPostBack="true"/>
                                <a:tool id="ZoomOut" defaultImage="images/zoomout.gif" hoverImage="images/zoomoutU.gif"
                                selectedImage="images/zoomoutD.gif" clientAction="adf.MapRectangle"
                                serverAction="com.esri.adf.web.faces.event.ZoomOutToolAction" clientPostBack="true"/>
                                <a:command id="fullext" defaultImage="images/fullext.gif" hoverImage="images/fullextU.gif" selectedImage="images/fullextD.gif" clientPostBack="true">                                     
                                    <f:actionListener type="com.esri.adf.web.faces.event.ZoomFullExtentListener"/>
                                </a:command>
                            </a:toolbar> 
		                </div>         
	                      </td></tr>
	 	                	<tr><td>
		                <div id="MapDiv">
		                    <a:map id="Map0" value="#{mapContext.webMap}" width="400" height="400"  />   
		                </div>
	                </td></tr>
                 </table>
            </h:form>
        </body>        
    </html>
</f:view>